
<div id="ref">

    <script th:id="|tpl-toolbar-${refName}|" type="text/x-handlebars-template">
            <a role="edit" th:href="@{|/referentiels/${refName}/view/{{id}}|}"><i class="fa fa-eye fa-lg"></i></a>
        </script>
<form class="form" th:action="@{/referentiels/upload}" method="post" enctype="multipart/form-data">
    <div class="form-group">
        <h1 th:text="#{Replace data}"></h1>
        <input type="hidden" id="refName" name="refName" th:value="${refName}" /> <label for="file" class="control-label" th:text="#{CSV file}"></label>
        <div class="row">
            <div class="col-md-7">
                <input type="file" name="file" data-toggle="file" data-remove="no" data-upload="no" data-auto-upload="no" />
                <div>
                    <input th:type="checkbox" id="truncate" name="truncate" th:checked="${truncate}" /> <label th:for="truncate" th:text="#{Purge}"></label>
                </div>
            </div>
            <div class="col-md-3">
                <button type="submit" class="btn btn-primary" th:text="#{Inject}"></button>
            </div>
        </div>
    </div>
</form>

<div class="row">
    <div class="col-md-12">
        <table id="referentiel" class="table table-stripped table-condensed table-hover" data-toggle="datatable" data-page-length="10" data-length-change="false" data-processing="true"
            data-searching="true" data-search-delay="1000" data-paging-type="full_numbers" data-ordering="false" th:attr="data-ajax=@{/referentiels/search/data(refName=${refName})}">
            <thead>
                <tr>
                    <th class="code" th:text="#{code}" data-class="code" data-data="entityId">commune</th>
                    <th class="name" th:text="#{label}" data-class="name" data-data="label">code postal</th>
                    <th class="toolbar" data-class="toolbar" data-sortable="false" th:attr="data-template=|toolbar-${refName}|"></th>
                </tr>
            </thead>
        </table>
    </div>
</div>
</div>